import { httpApp } from "@/plugins/axiosApp";
import {
  StudentObjectiveInfo,
  StudentSubjectiveInfo,
  StudentSubjectiveCheck,
} from "@/types";

/** 获取学生客观题数据 */
export async function studentObjectiveConfirmData(studentId) {
  return httpApp.post<StudentObjectiveInfo>(
    "/api/admin/mark/inspected/objective/getTask",
    {},
    { params: { studentId } }
  );
}
/** 保存考生客观题数据 */
export async function saveStudentObjectiveConfirmData({ studentId, answers }) {
  return httpApp.post<StudentObjectiveInfo>(
    "/api/admin/mark/inspected/objective/saveTask",
    {},
    { params: { studentId, answers } }
  );
}

/** 获取学生客观题数据 */
export async function studentSubjectiveConfirmData(data) {
  return httpApp.post<StudentSubjectiveInfo>(
    "/api/admin/mark/inspected/subjective/getTask",
    {},
    { params: data }
  );
}
/** 保存考生客观题数据 */
export async function saveStudentSubjectiveConfirmData(data) {
  return httpApp.post<StudentSubjectiveInfo>(
    "/api/admin/mark/inspected/subjective/saveTask",
    data
  );
}
/** 客观题检查直接点复核 */
export async function saveStudentSubjectiveCheck(data: StudentSubjectiveCheck) {
  return httpApp.post<boolean>(
    "/api/admin/mark/inspected/subjective/confirmTask",
    {},
    { params: data }
  );
}
