import { watch } from "vue";
import { useCheckObjectiveStore } from "@/store";

export default function useImage() {
  const checkObjectiveStore = useCheckObjectiveStore();

  watch(
    () => checkObjectiveStore.currentImage,
    () => {
      checkObjectiveStore.browsedImageIndexes.push(
        checkObjectiveStore.currentImage
      );
    }
  );
  // 显示大图，供查看和翻转
  function switchImageArrow({
    left = false,
    right = false,
  }: {
    left?: boolean;
    right?: boolean;
  }) {
    if (left) {
      if (checkObjectiveStore.currentImage > 0) {
        checkObjectiveStore.currentImage--;
      }
    }
    if (right) {
      if (
        checkObjectiveStore.currentImage <
        checkObjectiveStore.student?.sheetUrls.length - 1
      ) {
        checkObjectiveStore.currentImage++;
      }
    }
  }

  function switchImage(event: MouseEvent) {
    const image = event.target as HTMLImageElement;
    const layerX: number = (event as any).layerX;
    if (layerX * 2 < image.width) {
      if (checkObjectiveStore.currentImage > 0) {
        checkObjectiveStore.currentImage--;
      }
    } else {
      if (
        checkObjectiveStore.currentImage <
        checkObjectiveStore.student?.sheetUrls.length - 1
      ) {
        checkObjectiveStore.currentImage++;
      }
    }
  }

  return {
    switchImageArrow,
    switchImage,
  };
}
