import "viewerjs/dist/viewer.css";
import Viewer from "viewerjs";

export default function useBigImage() {
  const showBigImage = (event: MouseEvent) => {
    event.preventDefault();
    // console.log(event);
    let viewer: Viewer = null as unknown as Viewer;
    viewer && viewer.destroy();
    viewer = new Viewer((event.target as HTMLElement).parentElement, {
      viewed() {
        viewer.zoomTo(1);
      },
      hidden() {
        viewer.destroy();
      },
      zIndex: 1000000,
    });
    viewer.show();
  };

  return {
    showBigImage,
  };
}
