import { Modal } from "ant-design-vue";
import { h } from "vue";
import type { Question } from "@/types";

export default function useTaskRejection() {
  const showRejectedReason = (question: Question) => {
    if (!question || !question.rejectReason) return;

    const [reasonType, reasonDesc] = question.rejectReason.split(":");
    Modal.info({
      title: null,
      closable: false,
      maskClosable: false,
      centered: true,
      icon: null,
      okText: "知道了",
      wrapClassName: "custom-modal-info",
      zIndex: 9999,
      bodyStyle: {
        padding: "15px",
      },
      content: () =>
        h(
          "div",
          {
            style: {
              fontSize: "14px",
              color: "var(--app-main-text-color)",
            },
          },
          [
            h("div", { style: { marginBottom: "8px" } }, [
              h(
                "span",
                { style: { fontWeight: "bold", marginRight: "0.5em" } },
                "打回原因: "
              ),
              h("span", reasonType),
            ]),
            h("div", { style: { fontWeight: "bold" } }, "详情描述: "),
            h("div", { style: { padding: "4px 2px" } }, reasonDesc),
            h("div", { style: { marginBottom: "8px" } }, [
              h(
                "span",
                { style: { fontWeight: "bold", marginRight: "0.5em" } },
                "给分记录: "
              ),
              h("span", task.rejectScoreList),
            ]),
          ]
        ),
    });
  };

  return {
    showRejectedReason,
  };
}
