import { createRouter, createWebHistory } from "vue-router";

const routes = [
  { path: "/", redirect: { name: "StudentTrack" } },
  {
    path: "/mark",
    name: "Mark",
    component: () => import("@/features/mark/Mark.vue"),
  },
  {
    // 客观题检查
    path: "/check/objective-answer",
    name: "CheckObjectiveAnswer",
    component: () => import("@/features/check-objective/CheckObjective.vue"),
  },
  {
    // 主观题检查
    path: "/check/subjective-answer",
    name: "CheckSubjectiveAnswer",
    component: () => import("@/features/check-subjective/CheckSubjective.vue"),
  },
  {
    // 成绩查询-试卷轨迹
    path: "/track/student",
    name: "StudentTrack",
    component: () => import("@/features/track/Track.vue"),
  },
  {
    // 仲裁
    path: "/arbitrate",
    name: "Arbitrate",
    component: () => import("@/features/arbitrate/Arbitrate.vue"),
  },
  {
    // 打回
    path: "/reject",
    name: "Reject",
    component: () => import("@/features/reject/Reject.vue"),
  },
  {
    path: "/:pathMatch(.*)*",
    name: "NotFound",
    component: () => import("@/components/PageError404.vue"),
  },
];

// 3. Create the router instance and pass the `routes` option
// You can pass in additional options here, but let's
// keep it simple for now.
const router = createRouter({
  history: createWebHistory("mark"),
  routes,
});

export default router;
