import { defineStore } from "pinia";

interface AppStore {
  maxModalZIndex: number;
}

const useAppStore = defineStore("app", {
  state: (): AppStore => ({
    maxModalZIndex: 1020,
  }),
  getters: {
    info(state: AppStore): AppStore {
      return { ...state };
    },
  },
  actions: {
    setInfo(partial: Partial<AppStore>) {
      this.$patch(partial);
    },
    resetInfo() {
      this.$reset();
    },
  },
});

export default useAppStore;
